No mail notification from a specific rsync job and edit notification text

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • No mail for a specific rsync job and edit notification text

      Hello mates:

      Facing some problems:

      Long story short: I have 3 rsync jobs running running at different times to backup my files but one of them don't send me mail notification:
      Job is running correctly as i can see it in logs - message completed succersfully:

      Tried to recreate the job, changed time of run but nothing work.

      May the output being too big to be send? :-/

      The 3rd on here under is the job causing trouble:

      Shell-Script

      1. 0 23 * * 7 root /var/lib/openmediavault/cron.d/rsync-5dc58cee-f190-4a50-876a-b99fd94619e7
      2. 30 23 * * 7 root /var/lib/openmediavault/cron.d/rsync-846b03aa-e190-4def-b158-5b08cf83ae68
      3. 0 16 * * * root /var/lib/openmediavault/cron.d/rsync-1b5563a9-e8b7-4f07-aa63-232528606030

      All 3 jobs are configured the same in OMV (excluded the --exclude option in one).
      again the third one "docker" is the on causing problem:

      Shell-Script

      1. #!/bin/sh
      2. # This configuration file is auto-generated.
      3. # WARNING: Do not edit this file, your changes will be lost.
      4. . /usr/share/openmediavault/scripts/helper-functions
      5. cleanup() {
      6. omv_kill_children $$
      7. rm -f /var/run/rsync-846b03aa-e190-4def-b158-5b08cf83ae68
      8. exit
      9. }
      10. [ -e /var/run/rsync-846b03aa-e190-4def-b158-5b08cf83ae68 ] && exit 1
      11. if ! omv_is_mounted "/srv/dev-disk-by-label-Volume1" ; then
      12. omv_error "Source storage device not mounted at </srv/dev-disk-by-label-Volume1>!"
      13. exit 1
      14. fi
      15. if ! omv_is_mounted "/srv/dev-disk-by-label-Seagate Backup Plus Drive" ; then
      16. omv_error "Destination storage device not mounted at </srv/dev-disk-by-label-Seagate Backup Plus Drive>!"
      17. exit 1
      18. fi
      19. trap cleanup 0 1 2 5 15
      20. touch /var/run/rsync-846b03aa-e190-4def-b158-5b08cf83ae68
      21. omv_log "Please wait, syncing </srv/dev-disk-by-label-Volume1/share/> to </srv/dev-disk-by-label-Seagate Backup Plus Drive/hdd_backup_medias> ...\n"
      22. env RSYNC_PASSWORD="password" rsync --verbose --log-file="/var/log/rsync.log" --recursive --delete --exclude "Torrent" '/srv/dev-disk-by-label-Volume1/share/' '/srv/dev-disk-by-label-Seagate Backup Plus Drive/hdd_backup_medias' & wait $!
      23. omv_log "\nThe synchronisation has completed successfully."
      Display All

      Shell-Script

      1. #!/bin/sh
      2. # This configuration file is auto-generated.
      3. # WARNING: Do not edit this file, your changes will be lost.
      4. . /usr/share/openmediavault/scripts/helper-functions
      5. cleanup() {
      6. omv_kill_children $$
      7. rm -f /var/run/rsync-5dc58cee-f190-4a50-876a-b99fd94619e7
      8. exit
      9. }
      10. [ -e /var/run/rsync-5dc58cee-f190-4a50-876a-b99fd94619e7 ] && exit 1
      11. if ! omv_is_mounted "/srv/dev-disk-by-label-Volume1" ; then
      12. omv_error "Source storage device not mounted at </srv/dev-disk-by-label-Volume1>!"
      13. exit 1
      14. fi
      15. if ! omv_is_mounted "/srv/dev-disk-by-label-Seagate Backup Plus Drive" ; then
      16. omv_error "Destination storage device not mounted at </srv/dev-disk-by-label-Seagate Backup Plus Drive>!"
      17. exit 1
      18. fi
      19. trap cleanup 0 1 2 5 15
      20. touch /var/run/rsync-5dc58cee-f190-4a50-876a-b99fd94619e7
      21. omv_log "Please wait, syncing </srv/dev-disk-by-label-Volume1/me/> to </srv/dev-disk-by-label-Seagate Backup Plus Drive/hdd_backup_files> ...\n"
      22. rsync --verbose --log-file="/var/log/rsync.log" --recursive --delete '/srv/dev-disk-by-label-Volume1/me/' '/srv/dev-disk-by-label-Seagate Backup Plus Drive/hdd_backup_files' & wait $!
      23. omv_log "\nThe synchronisation has completed successfully."
      Display All

      Shell-Script

      1. #!/bin/sh
      2. # This configuration file is auto-generated.
      3. # WARNING: Do not edit this file, your changes will be lost.
      4. . /usr/share/openmediavault/scripts/helper-functions
      5. cleanup() {
      6. omv_kill_children $$
      7. rm -f /var/run/rsync-1b5563a9-e8b7-4f07-aa63-232528606030
      8. exit
      9. }
      10. [ -e /var/run/rsync-1b5563a9-e8b7-4f07-aa63-232528606030 ] && exit 1
      11. if ! omv_is_mounted "/srv/dev-disk-by-label-Volume1" ; then
      12. omv_error "Source storage device not mounted at </srv/dev-disk-by-label-Volume1>!"
      13. exit 1
      14. fi
      15. if ! omv_is_mounted "/srv/dev-disk-by-label-Seagate Backup Plus Drive" ; then
      16. omv_error "Destination storage device not mounted at </srv/dev-disk-by-label-Seagate Backup Plus Drive>!"
      17. exit 1
      18. fi
      19. trap cleanup 0 1 2 5 15
      20. touch /var/run/rsync-1b5563a9-e8b7-4f07-aa63-232528606030
      21. omv_log "Please wait, syncing </srv/dev-disk-by-label-Volume1/docker/> to </srv/dev-disk-by-label-Seagate Backup Plus Drive/backup_docker> ...\n"
      22. env RSYNC_PASSWORD="password" rsync --verbose --log-file="/var/log/rsync.log" --recursive --delete '/srv/dev-disk-by-label-Volume1/docker/' '/srv/dev-disk-by-label-Seagate Backup Plus Drive/backup_docker' & wait $!
      23. omv_log "\nThe synchronisation has completed successfully."
      Display All

      Second question: less important to me :)

      Is there a way to edit the ouput of the title of the mail to something more human readable:

      Acually appear as:
      Cron <root@nas> /var/lib/openmediavault/cron.d/rsync-846b03aa-e190-4def-b158-5b08cf83ae68


      Thanks for your help!